Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers
Interface EntityTrackingRevisionListener

All Superinterfaces:
  RevisionListener

    public interface EntityTrackingRevisionListener

extends RevisionListener

Extension of standard `RevisionListener` that notifies whenever an entity instance has been added, modified or removed within current revision boundaries.

See Also:
  `RevisionListener`

Method Summary
`void` | `entityChanged(Class entityClass, String entityName, Serializable entityId, RevisionType revisionType, Object revisionEntity)` Called after audited entity data has been persisted.

Methods inherited from interface org.hibernate.envers.RevisionListener
`newRevision`

Method Detail

### entityChanged

    void entityChanged(Class entityClass,
                       String entityName,
                       Serializable entityId,
                       RevisionType revisionType,
                       Object revisionEntity)

  Called after audited entity data has been persisted.

  Parameters:
    `entityClass` - Audited entity class.
    `entityName` - Name of the audited entity. May be useful when Java class is mapped multiple times, potentially to different tables.
    `entityId` - Identifier of modified entity.
    `revisionType` - Modification type (addition, update or removal).
    `revisionEntity` - An instance of the entity annotated with `RevisionEntity`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.